C     
C     Auxiliary subroutines needed for linking pdeone to 
C     the octave C++ gateway code.
C     
C     by John Weatherwax
C
C-----

      SUBROUTINE FILLCOMMONBLKS(inNPDE,inNPTS,inICORD)
      IMPLICIT NONE
      INTEGER inNPDE,inNPTS,inICORD

C     The common blocks to fill...
      INTEGER NPDE,NPTS,ICORD
      COMMON /SIZES/ NPDE,NPTS
      COMMON /COORD/ ICORD

      NPDE=inNPDE
      NPTS=inNPTS
      ICORD=inICORD

c$$$      write(*,*) 'npde=',npde
c$$$      write(*,*) 'npts=',npts
c$$$      write(*,*) 'icord=',icord

      RETURN
      END


      SUBROUTINE EXTRACTRKCSTATS(NFEout,NSTEPSout,NACCPTout,NREJCTout,
     &                           NFESIGout,MAXMout)
      IMPLICIT NONE
      INTEGER NFEout,NSTEPSout,NACCPTout,NREJCTout,NFESIGout,MAXMout

C     The common blocks to read from...
      INTEGER NFE,NSTEPS,NACCPT,NREJCT,NFESIG,MAXM
      common /rkcdid/  NFE,NSTEPS,NACCPT,NREJCT,NFESIG,MAXM

      NFEout=NFE
      NSTEPSout=NSTEPS
      NACCPTout=NACCPT
      NREJCTout=NREJCT
      NFESIGout=NFESIG
      MAXMout=MAXM

      RETURN
      END


      SUBROUTINE RKC_F(NEQN,X,T,Y,DY,F,D,BNDRY)
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      DOUBLE PRECISION X(*),T,Y(*),DY(*)
      INTEGER NEQN
      EXTERNAL F,D,BNDRY

      COMMON /SIZES/ NPDE,NPTS

c$$$      write(*,*) 'in rkc_f'
c$$$      write(*,*) 'npde=',npde
c$$$      write(*,*) 'npts=',npts

      CALL PDEONE(X,T,Y,DY,NPDE,NPTS,F,D,BNDRY) 
      RETURN
      END




      double precision function spcrad(neqn,t,y)
c--------------------------
c  This is a dummy routine.  
c--------------------------
      integer          neqn
      double precision t,y(neqn)
      spcrad = 0d0
      return
      end
